nl.tudelft.simulation.dsol.tutorial.section44

## Class DiscreteBall

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section44.Ball
  - - nl.tudelft.simulation.dsol.tutorial.section44.DiscreteBall

All Implemented Interfaces:
  nl.tudelft.simulation.dsol.animation.Locatable

    public class DiscreteBall
    extends Ball

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.

See for project information www.simulation.tudelft.nl.

Version:
  Aug 15, 2014
Author:
  Alexander Verbraeck

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.tutorial.section44.Ball

`destination, origin, RADIUS, rotZ`

### Constructor Summary

Constructors
Constructor and Description
`DiscreteBall(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator)` constructs a new DiscreteBall.

### Method Summary

All Methods Instance Methods Concrete Methods
`nl.tudelft.simulation.language.d3.DirectedPoint` `getLocation()`

### Methods inherited from class nl.tudelft.simulation.dsol.tutorial.section44.Ball

`getBounds, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DiscreteBall

    public DiscreteBall(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator)
                 throws nl.tudelft.simulation.dsol.SimRuntimeException,
                        NamingException,
                        RemoteException

constructs a new DiscreteBall.

Parameters:
  `simulator` - the simulator
Throws:
  `nl.tudelft.simulation.dsol.SimRuntimeException` - on schedule failure
  `NamingException` - on animation error
  `RemoteException` - on network error for the animation listener

### Method Detail

#### getLocation

    public nl.tudelft.simulation.language.d3.DirectedPoint getLocation()
                                                                throws RemoteException

Throws:
  `RemoteException`